summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Build/source/ChangeLog1
-rw-r--r--Build/source/Makefile.am6
-rw-r--r--Build/source/Makefile.in4
-rw-r--r--Build/source/texk/ChangeLog4
-rw-r--r--Build/source/texk/am/script_links.am13
-rw-r--r--Build/source/texk/chktex/Makefile.in11
-rw-r--r--Build/source/texk/tex4htk/Makefile.in43
-rw-r--r--Build/source/texk/texlive/ChangeLog4
-rw-r--r--Build/source/texk/texlive/linked_scripts/ChangeLog4
-rw-r--r--Build/source/texk/texlive/linked_scripts/Makefile.am3
-rw-r--r--Build/source/texk/texlive/linked_scripts/Makefile.in3
-rw-r--r--Build/source/texk/texlive/linked_scripts/scripts.lst20
-rwxr-xr-xBuild/source/texk/texlive/tests/updmap-cmdline-test.pl2
-rw-r--r--Build/source/texk/texlive/tl_scripts/Makefile.am31
-rw-r--r--Build/source/texk/texlive/tl_scripts/Makefile.in816
-rw-r--r--Build/source/utils/ps2eps/Makefile.in12
-rw-r--r--Build/source/utils/psutils/Makefile.in11
-rw-r--r--Build/source/utils/texdoctk/Makefile.in11
-rw-r--r--Build/source/utils/xindy/Makefile.in11
19 files changed, 923 insertions, 87 deletions
diff --git a/Build/source/ChangeLog b/Build/source/ChangeLog
index d39ec2b1ee8..c91d9a479c9 100644
--- a/Build/source/ChangeLog
+++ b/Build/source/ChangeLog
@@ -1,6 +1,7 @@
2013-01-24 Peter Breitenlohner <peb@mppmu.mpg.de>
* tardate.ac: Switch to 2013-01-24.
+ * Makefile.am: Running texlinks in texk/texlive/tl_scripts.
2012-12-17 Peter Breitenlohner <peb@mppmu.mpg.de>
diff --git a/Build/source/Makefile.am b/Build/source/Makefile.am
index b15732e02bb..69fe8fb41a2 100644
--- a/Build/source/Makefile.am
+++ b/Build/source/Makefile.am
@@ -1,6 +1,6 @@
## Makefile.am for the TeX Live top-level
##
-## Copyright (C) 2009-2012 Peter Breitenlohner <tex-live@tug.org>
+## Copyright (C) 2009-2013 Peter Breitenlohner <tex-live@tug.org>
## You may freely use, modify and/or distribute this file.
##
## Use 'aclocal --force' (for "computed m4_sinclude")
@@ -93,8 +93,8 @@ world: all
@echo "top-level make $@: running install-strip..."
$(MAKE) $(AM_MAKEFLAGS) install-strip
##
- @echo "top-level make $@: running texlinks in texk/texlive/linked_scripts..."
- cd texk/texlive/linked_scripts && $(MAKE) $(AM_MAKEFLAGS) run-texlinks
+ @echo "top-level make $@: running texlinks in texk/texlive/tl_scripts..."
+ cd texk/texlive/tl_scripts && $(MAKE) $(AM_MAKEFLAGS) run-texlinks
##
@echo "top-level make $@: running $(check_target)..."
$(MAKE) $(AM_MAKEFLAGS) $(check_target)
diff --git a/Build/source/Makefile.in b/Build/source/Makefile.in
index 2054f874e19..48746fd8683 100644
--- a/Build/source/Makefile.in
+++ b/Build/source/Makefile.in
@@ -959,8 +959,8 @@ subsubdir-conf.cmd:
world: all
@echo "top-level make $@: running install-strip..."
$(MAKE) $(AM_MAKEFLAGS) install-strip
- @echo "top-level make $@: running texlinks in texk/texlive/linked_scripts..."
- cd texk/texlive/linked_scripts && $(MAKE) $(AM_MAKEFLAGS) run-texlinks
+ @echo "top-level make $@: running texlinks in texk/texlive/tl_scripts..."
+ cd texk/texlive/tl_scripts && $(MAKE) $(AM_MAKEFLAGS) run-texlinks
@echo "top-level make $@: running $(check_target)..."
$(MAKE) $(AM_MAKEFLAGS) $(check_target)
@echo "make $@ done."
diff --git a/Build/source/texk/ChangeLog b/Build/source/texk/ChangeLog
index 1f76bbce9ce..459b624b6cc 100644
--- a/Build/source/texk/ChangeLog
+++ b/Build/source/texk/ChangeLog
@@ -1,3 +1,7 @@
+2013-01-24 Peter Breitenlohner <peb@mppmu.mpg.de>
+
+ * am/script_links.am (install-links): Simplify (use top_srcdir).
+
2013-01-24 Karl Berry <karl@tug.org>
* am/script_links.am (install-links): look for relpath one more
diff --git a/Build/source/texk/am/script_links.am b/Build/source/texk/am/script_links.am
index a0378fb4b64..a8986e487fb 100644
--- a/Build/source/texk/am/script_links.am
+++ b/Build/source/texk/am/script_links.am
@@ -55,18 +55,15 @@ if !WIN32
$(MAKE) $(AM_MAKEFLAGS) TYPE=sh EXT=sh install-links
endif !WIN32
-EXTRA_DIST += ../../build-aux/relpath
+EXTRA_DIST += $(top_builddir)/../../build-aux/relpath
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @if test -r "$(srcdir)/../../build-aux/relpath"; then \
- relpath="$(srcdir)/../../build-aux/relpath"; \
- elif test -r "$(srcdir)/../../../build-aux/relpath"; then \
- relpath="$(srcdir)/../../../build-aux/relpath"; \
- else \
- echo 'script_links.am:install-links: could not find relpath script';\
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
exit 1; \
- fi; \
+ }; \
REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
diff --git a/Build/source/texk/chktex/Makefile.in b/Build/source/texk/chktex/Makefile.in
index fae11923160..15419a250d7 100644
--- a/Build/source/texk/chktex/Makefile.in
+++ b/Build/source/texk/chktex/Makefile.in
@@ -534,7 +534,7 @@ top_srcdir = @top_srcdir@
#************************************************************************
ACLOCAL_AMFLAGS = -I ../../m4
EXTRA_DIST = $(CHKTEX_TREE) $(CHKTEX_TREE)-PATCHES regex/COPYING.LIB \
- regex/README ../../build-aux/relpath $(TESTS)
+ regex/README $(top_builddir)/../../build-aux/relpath $(TESTS)
AM_CPPFLAGS = $(REGEX_INCLUDES) $(KPATHSEA_INCLUDES) -DKPATHSEA
AM_CFLAGS = $(WARNING_CFLAGS)
chktex_SOURCES = $(CHKTEX_TREE)/ChkTeX.c $(CHKTEX_TREE)/ChkTeX.h \
@@ -1601,9 +1601,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \
diff --git a/Build/source/texk/tex4htk/Makefile.in b/Build/source/texk/tex4htk/Makefile.in
index e936dd3ef57..9d5f0659b09 100644
--- a/Build/source/texk/tex4htk/Makefile.in
+++ b/Build/source/texk/tex4htk/Makefile.in
@@ -335,23 +335,23 @@ top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
ACLOCAL_AMFLAGS = -I ../../m4
-EXTRA_DIST = java ../../build-aux/relpath dbcontext dblatex dbmcontext \
- dbmex dbmlatex dbmmex dbmtex dbmtexi dbmxelatex dbmxetex dbtex \
- dbtexi dbxelatex dbxetex demo.tex escontext eslatex esmex \
- estex estexi esxelatex esxetex jh1context jh1latex jh1mex \
- jh1tex jh1texi jh1xelatex jh1xetex jhcontext jhlatex jhmex \
- jhtex jhtexi jhxelatex jhxetex jmcontext jmlatex jmmex jmtex \
- jmtexi jmxelatex jmxetex jscontext jslatex jsmex jstex jstexi \
- jsxelatex jsxetex mzcontext mzlatex mzmex mztex mztexi \
- mzxelatex mzxetex oocontext oolatex oomex ootex ootexi \
- ooxelatex ooxetex teicontext teilatex teimcontext teimex \
- teimlatex teimmex teimtex teimtexi teimxelatex teimxetex \
- teitex teitexi teixelatex teixetex test.tex test1.tex \
- testa.tex testb.tex uxhcontext uxhlatex uxhmex uxhtex uxhtexi \
- uxhxelatex uxhxetex wcontext wlatex wmex wtex wtexi wxelatex \
- wxetex xhcontext xhlatex xhmcontext xhmex xhmlatex xhmmex \
- xhmtex xhmtexi xhmxelatex xhmxetex xhtex xhtexi xhxelatex \
- xhxetex xv4ht.java
+EXTRA_DIST = java $(top_builddir)/../../build-aux/relpath dbcontext \
+ dblatex dbmcontext dbmex dbmlatex dbmmex dbmtex dbmtexi \
+ dbmxelatex dbmxetex dbtex dbtexi dbxelatex dbxetex demo.tex \
+ escontext eslatex esmex estex estexi esxelatex esxetex \
+ jh1context jh1latex jh1mex jh1tex jh1texi jh1xelatex jh1xetex \
+ jhcontext jhlatex jhmex jhtex jhtexi jhxelatex jhxetex \
+ jmcontext jmlatex jmmex jmtex jmtexi jmxelatex jmxetex \
+ jscontext jslatex jsmex jstex jstexi jsxelatex jsxetex \
+ mzcontext mzlatex mzmex mztex mztexi mzxelatex mzxetex \
+ oocontext oolatex oomex ootex ootexi ooxelatex ooxetex \
+ teicontext teilatex teimcontext teimex teimlatex teimmex \
+ teimtex teimtexi teimxelatex teimxetex teitex teitexi \
+ teixelatex teixetex test.tex test1.tex testa.tex testb.tex \
+ uxhcontext uxhlatex uxhmex uxhtex uxhtexi uxhxelatex uxhxetex \
+ wcontext wlatex wmex wtex wtexi wxelatex wxetex xhcontext \
+ xhlatex xhmcontext xhmex xhmlatex xhmmex xhmtex xhmtexi \
+ xhmxelatex xhmxetex xhtex xhtexi xhxelatex xhxetex xv4ht.java
AM_CPPFLAGS = $(KPATHSEA_INCLUDES) -DANSI -DKPATHSEA
AM_CFLAGS = $(WARNING_CFLAGS)
t4ht_SOURCES = t4ht.c
@@ -1007,9 +1007,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \
diff --git a/Build/source/texk/texlive/ChangeLog b/Build/source/texk/texlive/ChangeLog
index 819aaba812e..33ec5edc531 100644
--- a/Build/source/texk/texlive/ChangeLog
+++ b/Build/source/texk/texlive/ChangeLog
@@ -1,3 +1,7 @@
+2013-01-24 Peter Breitenlohner <peb@mppmu.mpg.de>
+
+ * tests/updmap-cmdline-test.pl: Adapt to updmap.pl now moved.
+
2013-01-24 Karl Berry <karl@tug.org>
* tl_scripts: new subdir.
diff --git a/Build/source/texk/texlive/linked_scripts/ChangeLog b/Build/source/texk/texlive/linked_scripts/ChangeLog
index 5677b0126f5..c176467f705 100644
--- a/Build/source/texk/texlive/linked_scripts/ChangeLog
+++ b/Build/source/texk/texlive/linked_scripts/ChangeLog
@@ -1,3 +1,7 @@
+2013-01-24 Peter Breitenlohner <peb@mppmu.mpg.de>
+
+ * Makefile.am [WIN32]: Install {rungs,tlmgr}.exe wrappers.
+
2012-09-09 Karl Berry <karl@tug.org>
* Makefile.am (echo-shell-scripts): new target for
diff --git a/Build/source/texk/texlive/linked_scripts/Makefile.am b/Build/source/texk/texlive/linked_scripts/Makefile.am
index a53ab4cc3c3..89dc0ad8307 100644
--- a/Build/source/texk/texlive/linked_scripts/Makefile.am
+++ b/Build/source/texk/texlive/linked_scripts/Makefile.am
@@ -51,9 +51,10 @@ installdirs-local:
## scripts because they are correctly handled by the wrapper binaries.
##
texmf_scriptsdir = $(datarootdir)/texmf/scripts
-nobase_dist_texmf_scripts_SCRIPTS = \
+texmf_other_scripts = \
texlive/rungs.tlu \
texlive/tlmgr.pl
+nobase_dist_texmf_scripts_SCRIPTS = $(texmf_other_scripts)
texmf_dist_scriptsdir = $(datarootdir)/texmf-dist/scripts
texmf_dist_shell_scripts = \
diff --git a/Build/source/texk/texlive/linked_scripts/Makefile.in b/Build/source/texk/texlive/linked_scripts/Makefile.in
index cfc816151cb..79defdf5590 100644
--- a/Build/source/texk/texlive/linked_scripts/Makefile.in
+++ b/Build/source/texk/texlive/linked_scripts/Makefile.in
@@ -234,10 +234,11 @@ EXTRA_DIST = scripts.lst ../../../build-aux/relpath
# The instances in texmf* are the masters (except when it is CTAN).
#
texmf_scriptsdir = $(datarootdir)/texmf/scripts
-nobase_dist_texmf_scripts_SCRIPTS = \
+texmf_other_scripts = \
texlive/rungs.tlu \
texlive/tlmgr.pl
+nobase_dist_texmf_scripts_SCRIPTS = $(texmf_other_scripts)
texmf_dist_scriptsdir = $(datarootdir)/texmf-dist/scripts
texmf_dist_shell_scripts = \
adhocfilelist/adhocfilelist.sh \
diff --git a/Build/source/texk/texlive/linked_scripts/scripts.lst b/Build/source/texk/texlive/linked_scripts/scripts.lst
index 28e19ca7402..e41acc5044a 100644
--- a/Build/source/texk/texlive/linked_scripts/scripts.lst
+++ b/Build/source/texk/texlive/linked_scripts/scripts.lst
@@ -1,10 +1,4 @@
texmf_scripts='
-tetex/fmtutil.sh
-tetex/texconfig.sh
-tetex/texconfig-dialog.sh
-tetex/texconfig-sys.sh
-tetex/texlinks.sh
-tetex/fmtutil-sys.sh
texlive/rungs.tlu
texlive/tlmgr.pl
'
@@ -30,17 +24,6 @@ pdfjam/pdfnup
pdfjam/pdfpun
pst-pdf/ps4pdf
simpdftex/simpdftex
-tetex/allcm.sh
-tetex/allneeded.sh
-tetex/dvi2fax.sh
-tetex/dvired.sh
-tetex/fontinst.sh
-tetex/kpsetool.sh
-tetex/kpsewhere.sh
-tetex/ps2frag.sh
-tetex/pslatex.sh
-tetex/rubibtex.sh
-tetex/rumakeindex.sh
typeoutfileinfo/typeoutfileinfo.sh
a2ping/a2ping.pl
accfonts/mkt1font
@@ -99,9 +82,6 @@ purifyeps/purifyeps
splitindex/perl/splitindex.pl
sty2dtx/sty2dtx.pl
svn-multi/svn-multi.pl
-tetex/e2pall.pl
-tetex/updmap.pl
-tetex/updmap-sys.sh
texdoc/texdoc.tlu
texcount/texcount.pl
texdef/texdef.pl
diff --git a/Build/source/texk/texlive/tests/updmap-cmdline-test.pl b/Build/source/texk/texlive/tests/updmap-cmdline-test.pl
index 310344776a1..1c4a5b1c885 100755
--- a/Build/source/texk/texlive/tests/updmap-cmdline-test.pl
+++ b/Build/source/texk/texlive/tests/updmap-cmdline-test.pl
@@ -10,7 +10,7 @@ require "$srcdir/../tests/common-test.pl";
exit (&main ());
sub main {
- my $ret = &test_run ("$srcdir/linked_scripts/tetex/updmap.pl", "--version");
+ my $ret = &test_run ("$srcdir/tl_scripts/updmap.pl", "--version");
# we aren't going to fix this in the current updmap.pl.
# "foo", "--enable Map"
diff --git a/Build/source/texk/texlive/tl_scripts/Makefile.am b/Build/source/texk/texlive/tl_scripts/Makefile.am
index 8188cef99a9..779c8870f58 100644
--- a/Build/source/texk/texlive/tl_scripts/Makefile.am
+++ b/Build/source/texk/texlive/tl_scripts/Makefile.am
@@ -3,16 +3,15 @@
## Copyright (C) 2013 Karl Berry <tex-live@tug.org>
## You may freely use, modify and/or distribute this file.
-EXTRA_DIST = README
-EXTRA_DIST += ../../../build-aux/relpath
-
# These first variable definitions are what scripts_links.am requires.
+EXTRA_DIST =
+perl_scripts = updmap e2pall
+shell_scripts = fmtutil-sys updmap-sys
sh_scripts = \
allcm \
allneeded \
dvi2fax \
dvired \
- fmtutil-sys \
fmtutil \
fontinst \
kpsetool \
@@ -24,19 +23,17 @@ sh_scripts = \
texconfig-dialog \
texconfig-sys \
texconfig \
- texlinks \
- updmap-sys
-perl_scripts = updmap e2pall
+ texlinks
nodist_bin_SCRIPTS =
scriptsdir = texmf-dist/scripts/texlive
#
include $(srcdir)/../../../texk/am/script_links.am
#
texmfdir = $(datarootdir)/$(scriptsdir)
-dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh)
+dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh) $(sh_scripts:=.sh)
-install-data-hook: install-perl-links install-sh-links
-uninstall-hook: uninstall-links
+install-data-hook: install-bin-links install-man1-links install-perl-links install-shell-links install-sh-links
+uninstall-hook: uninstall-bin-links uninstall-man1-links uninstall-links
dist_man_MANS = \
allcm.1 \
@@ -59,13 +56,13 @@ dist_man_MANS = \
updmap.1 \
updmap.cfg.5
-#if !WIN32
-#bin_links += \
-# allcm:allec \
-# fmtutil:mktexfmt \
-# kpsetool:kpsexpand \
-# kpsetool:kpsepath \
-#endif !WIN32
+bin_links = \
+ allcm:allec \
+ fmtutil:mktexfmt \
+ kpsetool:kpsexpand \
+ kpsetool:kpsepath
+
+include $(top_srcdir)/../am/bin_links.am
man1_links = \
fmtutil:fmtutil-sys \
diff --git a/Build/source/texk/texlive/tl_scripts/Makefile.in b/Build/source/texk/texlive/tl_scripts/Makefile.in
new file mode 100644
index 00000000000..3c19a27c4d8
--- /dev/null
+++ b/Build/source/texk/texlive/tl_scripts/Makefile.in
@@ -0,0 +1,816 @@
+# Makefile.in generated by automake 1.13.1 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994-2012 Free Software Foundation, Inc.
+
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+
+VPATH = @srcdir@
+am__make_dryrun = \
+ { \
+ am__dry=no; \
+ case $$MAKEFLAGS in \
+ *\\[\ \ ]*) \
+ echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
+ | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
+ *) \
+ for am__flg in $$MAKEFLAGS; do \
+ case $$am__flg in \
+ *=*|--*) ;; \
+ *n*) am__dry=yes; break;; \
+ esac; \
+ done;; \
+ esac; \
+ test $$am__dry = yes; \
+ }
+pkgdatadir = $(datadir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkglibexecdir = $(libexecdir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+DIST_COMMON = $(srcdir)/../../../texk/am/script_links.am \
+ $(top_srcdir)/../am/bin_links.am \
+ $(top_srcdir)/../am/man1_links.am $(srcdir)/Makefile.in \
+ $(srcdir)/Makefile.am $(dist_texconfig_SCRIPTS) \
+ $(dist_texmf_SCRIPTS) $(dist_man_MANS) $(dist_texconfig_DATA) \
+ $(dist_web2c_DATA) ChangeLog README
+@WIN32_TRUE@@WIN32_WRAP_TRUE@am__append_1 = $(wrappers)
+subdir = tl_scripts
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/../../m4/kpse-win32.m4 \
+ $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+ $(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_CLEAN_FILES =
+CONFIG_CLEAN_VPATH_FILES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+ *) f=$$p;; \
+ esac;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+ srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+ for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+ for p in $$list; do echo "$$p $$p"; done | \
+ sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+ $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+ if (++n[$$2] == $(am__install_max)) \
+ { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+ END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+ sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+ sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__uninstall_files_from_dir = { \
+ test -z "$$files" \
+ || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
+ || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
+ $(am__cd) "$$dir" && rm -f $$files; }; \
+ }
+am__installdirs = "$(DESTDIR)$(texconfigdir)" "$(DESTDIR)$(texmfdir)" \
+ "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
+ "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(texconfigdir)" \
+ "$(DESTDIR)$(web2cdir)"
+SCRIPTS = $(dist_texconfig_SCRIPTS) $(dist_texmf_SCRIPTS) \
+ $(nodist_bin_SCRIPTS)
+AM_V_P = $(am__v_P_@AM_V@)
+am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
+am__v_P_0 = false
+am__v_P_1 = :
+AM_V_GEN = $(am__v_GEN_@AM_V@)
+am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
+am__v_GEN_0 = @echo " GEN " $@;
+am__v_GEN_1 =
+AM_V_at = $(am__v_at_@AM_V@)
+am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
+am__v_at_0 = @
+am__v_at_1 =
+SOURCES =
+DIST_SOURCES =
+am__can_run_installinfo = \
+ case $$AM_UPDATE_INFO_DIR in \
+ n|no|NO) false;; \
+ *) (install-info --version) >/dev/null 2>&1;; \
+ esac
+man1dir = $(mandir)/man1
+man5dir = $(mandir)/man5
+NROFF = nroff
+MANS = $(dist_man_MANS)
+DATA = $(dist_texconfig_DATA) $(dist_web2c_DATA)
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMTAR = @AMTAR@
+AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPPFLAGS = @CPPFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EXEEXT = @EXEEXT@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAINT = @MAINT@
+MAKEINFO = @MAKEINFO@
+MKDIR_P = @MKDIR_P@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_URL = @PACKAGE_URL@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+ac_ct_CC = @ac_ct_CC@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build_alias = @build_alias@
+builddir = @builddir@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host_alias = @host_alias@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+top_build_prefix = @top_build_prefix@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+
+# These first variable definitions are what scripts_links.am requires.
+EXTRA_DIST = $(top_builddir)/../../build-aux/relpath updmap.help2man
+perl_scripts = updmap e2pall
+shell_scripts = fmtutil-sys updmap-sys
+sh_scripts = \
+ allcm \
+ allneeded \
+ dvi2fax \
+ dvired \
+ fmtutil \
+ fontinst \
+ kpsetool \
+ kpsewhere \
+ ps2frag \
+ pslatex \
+ rubibtex \
+ rumakeindex \
+ texconfig-dialog \
+ texconfig-sys \
+ texconfig \
+ texlinks
+
+nodist_bin_SCRIPTS = $(am__append_1)
+scriptsdir = texmf-dist/scripts/texlive
+all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+@WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+@WIN32_TRUE@@WIN32_WRAP_TRUE@runscript = $(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+#
+#
+texmfdir = $(datarootdir)/$(scriptsdir)
+dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh) $(sh_scripts:=.sh)
+dist_man_MANS = \
+ allcm.1 \
+ allec.1 \
+ allneeded.1 \
+ dvi2fax.1 \
+ dvired.1 \
+ e2pall.1 \
+ fmtutil.1 \
+ fmtutil.cnf.5 \
+ fontinst.1 \
+ kpsetool.1 \
+ kpsewhere.1 \
+ ps2frag.1 \
+ pslatex.1 \
+ rubibtex.1 \
+ rumakeindex.1 \
+ texconfig.1 \
+ texlinks.1 \
+ updmap.1 \
+ updmap.cfg.5
+
+bin_links = \
+ allcm:allec \
+ fmtutil:mktexfmt \
+ kpsetool:kpsexpand \
+ kpsetool:kpsepath
+
+man1_links = \
+ fmtutil:fmtutil-sys \
+ kpsetool:kpsexpand \
+ kpsetool:kpsepath \
+ fmtutil:mktexfmt \
+ texconfig:texconfig-sys \
+ updmap:updmap-sys
+
+texconfigdir = $(datarootdir)/texmf/texconfig
+dist_texconfig_SCRIPTS = tcfmgr
+dist_texconfig_DATA = tcfmgr.map
+web2cdir = $(datarootdir)/texmf/web2c
+dist_web2c_DATA = fmtutil.cnf
+run_texlinks = $(DESTDIR)$(bindir)/texlinks -v \
+ -f $(DESTDIR)$(web2cdir)/fmtutil.cnf \
+ -e "$(EXEEXT)" $(DESTDIR)$(bindir)
+
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../../../texk/am/script_links.am $(top_srcdir)/../am/bin_links.am $(top_srcdir)/../am/man1_links.am $(am__configure_deps)
+ @for dep in $?; do \
+ case '$(am__configure_deps)' in \
+ *$$dep*) \
+ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+ && { if test -f $@; then exit 0; else break; fi; }; \
+ exit 1;; \
+ esac; \
+ done; \
+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tl_scripts/Makefile'; \
+ $(am__cd) $(top_srcdir) && \
+ $(AUTOMAKE) --foreign tl_scripts/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ @case '$?' in \
+ *config.status*) \
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+ *) \
+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+ esac;
+$(srcdir)/../../../texk/am/script_links.am $(top_srcdir)/../am/bin_links.am $(top_srcdir)/../am/man1_links.am:
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+install-dist_texconfigSCRIPTS: $(dist_texconfig_SCRIPTS)
+ @$(NORMAL_INSTALL)
+ @list='$(dist_texconfig_SCRIPTS)'; test -n "$(texconfigdir)" || list=; \
+ if test -n "$$list"; then \
+ echo " $(MKDIR_P) '$(DESTDIR)$(texconfigdir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(texconfigdir)" || exit 1; \
+ fi; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
+ done | \
+ sed -e 'p;s,.*/,,;n' \
+ -e 'h;s|.*|.|' \
+ -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
+ $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
+ { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+ if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+ if (++n[d] == $(am__install_max)) { \
+ print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
+ else { print "f", d "/" $$4, $$1 } } \
+ END { for (d in files) print "f", d, files[d] }' | \
+ while read type dir files; do \
+ if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+ test -z "$$files" || { \
+ echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(texconfigdir)$$dir'"; \
+ $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(texconfigdir)$$dir" || exit $$?; \
+ } \
+ ; done
+
+uninstall-dist_texconfigSCRIPTS:
+ @$(NORMAL_UNINSTALL)
+ @list='$(dist_texconfig_SCRIPTS)'; test -n "$(texconfigdir)" || exit 0; \
+ files=`for p in $$list; do echo "$$p"; done | \
+ sed -e 's,.*/,,;$(transform)'`; \
+ dir='$(DESTDIR)$(texconfigdir)'; $(am__uninstall_files_from_dir)
+install-dist_texmfSCRIPTS: $(dist_texmf_SCRIPTS)
+ @$(NORMAL_INSTALL)
+ @list='$(dist_texmf_SCRIPTS)'; test -n "$(texmfdir)" || list=; \
+ if test -n "$$list"; then \
+ echo " $(MKDIR_P) '$(DESTDIR)$(texmfdir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(texmfdir)" || exit 1; \
+ fi; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
+ done | \
+ sed -e 'p;s,.*/,,;n' \
+ -e 'h;s|.*|.|' \
+ -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
+ $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
+ { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+ if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+ if (++n[d] == $(am__install_max)) { \
+ print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
+ else { print "f", d "/" $$4, $$1 } } \
+ END { for (d in files) print "f", d, files[d] }' | \
+ while read type dir files; do \
+ if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+ test -z "$$files" || { \
+ echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(texmfdir)$$dir'"; \
+ $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(texmfdir)$$dir" || exit $$?; \
+ } \
+ ; done
+
+uninstall-dist_texmfSCRIPTS:
+ @$(NORMAL_UNINSTALL)
+ @list='$(dist_texmf_SCRIPTS)'; test -n "$(texmfdir)" || exit 0; \
+ files=`for p in $$list; do echo "$$p"; done | \
+ sed -e 's,.*/,,;$(transform)'`; \
+ dir='$(DESTDIR)$(texmfdir)'; $(am__uninstall_files_from_dir)
+install-nodist_binSCRIPTS: $(nodist_bin_SCRIPTS)
+ @$(NORMAL_INSTALL)
+ @list='$(nodist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
+ if test -n "$$list"; then \
+ echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
+ fi; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
+ done | \
+ sed -e 'p;s,.*/,,;n' \
+ -e 'h;s|.*|.|' \
+ -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
+ $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
+ { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+ if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+ if (++n[d] == $(am__install_max)) { \
+ print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
+ else { print "f", d "/" $$4, $$1 } } \
+ END { for (d in files) print "f", d, files[d] }' | \
+ while read type dir files; do \
+ if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+ test -z "$$files" || { \
+ echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
+ $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
+ } \
+ ; done
+
+uninstall-nodist_binSCRIPTS:
+ @$(NORMAL_UNINSTALL)
+ @list='$(nodist_bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
+ files=`for p in $$list; do echo "$$p"; done | \
+ sed -e 's,.*/,,;$(transform)'`; \
+ dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
+install-man1: $(dist_man_MANS)
+ @$(NORMAL_INSTALL)
+ @list1=''; \
+ list2='$(dist_man_MANS)'; \
+ test -n "$(man1dir)" \
+ && test -n "`echo $$list1$$list2`" \
+ || exit 0; \
+ echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
+ { for i in $$list1; do echo "$$i"; done; \
+ if test -n "$$list2"; then \
+ for i in $$list2; do echo "$$i"; done \
+ | sed -n '/\.1[a-z]*$$/p'; \
+ fi; \
+ } | while read p; do \
+ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; echo "$$p"; \
+ done | \
+ sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
+ sed 'N;N;s,\n, ,g' | { \
+ list=; while read file base inst; do \
+ if test "$$base" = "$$inst"; then list="$$list $$file"; else \
+ echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
+ $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
+ fi; \
+ done; \
+ for i in $$list; do echo "$$i"; done | $(am__base_list) | \
+ while read files; do \
+ test -z "$$files" || { \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
+ done; }
+
+uninstall-man1:
+ @$(NORMAL_UNINSTALL)
+ @list=''; test -n "$(man1dir)" || exit 0; \
+ files=`{ for i in $$list; do echo "$$i"; done; \
+ l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.1[a-z]*$$/p'; \
+ } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
+ dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
+install-man5: $(dist_man_MANS)
+ @$(NORMAL_INSTALL)
+ @list1=''; \
+ list2='$(dist_man_MANS)'; \
+ test -n "$(man5dir)" \
+ && test -n "`echo $$list1$$list2`" \
+ || exit 0; \
+ echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
+ { for i in $$list1; do echo "$$i"; done; \
+ if test -n "$$list2"; then \
+ for i in $$list2; do echo "$$i"; done \
+ | sed -n '/\.5[a-z]*$$/p'; \
+ fi; \
+ } | while read p; do \
+ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; echo "$$p"; \
+ done | \
+ sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
+ sed 'N;N;s,\n, ,g' | { \
+ list=; while read file base inst; do \
+ if test "$$base" = "$$inst"; then list="$$list $$file"; else \
+ echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
+ $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
+ fi; \
+ done; \
+ for i in $$list; do echo "$$i"; done | $(am__base_list) | \
+ while read files; do \
+ test -z "$$files" || { \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
+ done; }
+
+uninstall-man5:
+ @$(NORMAL_UNINSTALL)
+ @list=''; test -n "$(man5dir)" || exit 0; \
+ files=`{ for i in $$list; do echo "$$i"; done; \
+ l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.5[a-z]*$$/p'; \
+ } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
+ dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
+install-dist_texconfigDATA: $(dist_texconfig_DATA)
+ @$(NORMAL_INSTALL)
+ @list='$(dist_texconfig_DATA)'; test -n "$(texconfigdir)" || list=; \
+ if test -n "$$list"; then \
+ echo " $(MKDIR_P) '$(DESTDIR)$(texconfigdir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(texconfigdir)" || exit 1; \
+ fi; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(texconfigdir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(texconfigdir)" || exit $$?; \
+ done
+
+uninstall-dist_texconfigDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(dist_texconfig_DATA)'; test -n "$(texconfigdir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ dir='$(DESTDIR)$(texconfigdir)'; $(am__uninstall_files_from_dir)
+install-dist_web2cDATA: $(dist_web2c_DATA)
+ @$(NORMAL_INSTALL)
+ @list='$(dist_web2c_DATA)'; test -n "$(web2cdir)" || list=; \
+ if test -n "$$list"; then \
+ echo " $(MKDIR_P) '$(DESTDIR)$(web2cdir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(web2cdir)" || exit 1; \
+ fi; \
+ for p in $$list; do \
+ if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; \
+ done | $(am__base_list) | \
+ while read files; do \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(web2cdir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(web2cdir)" || exit $$?; \
+ done
+
+uninstall-dist_web2cDATA:
+ @$(NORMAL_UNINSTALL)
+ @list='$(dist_web2c_DATA)'; test -n "$(web2cdir)" || list=; \
+ files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ dir='$(DESTDIR)$(web2cdir)'; $(am__uninstall_files_from_dir)
+tags TAGS:
+
+ctags CTAGS:
+
+cscope cscopelist:
+
+
+distdir: $(DISTFILES)
+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+ list='$(DISTFILES)'; \
+ dist_files=`for file in $$list; do echo $$file; done | \
+ sed -e "s|^$$srcdirstrip/||;t" \
+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+ case $$dist_files in \
+ */*) $(MKDIR_P) `echo "$$dist_files" | \
+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+ sort -u` ;; \
+ esac; \
+ for file in $$dist_files; do \
+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+ if test -d $$d/$$file; then \
+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+ if test -d "$(distdir)/$$file"; then \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+ cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+ find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+ fi; \
+ cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+ else \
+ test -f "$(distdir)/$$file" \
+ || cp -p $$d/$$file "$(distdir)/$$file" \
+ || exit 1; \
+ fi; \
+ done
+check-am: all-am
+check: check-am
+all-am: Makefile $(SCRIPTS) $(MANS) $(DATA)
+installdirs:
+ for dir in "$(DESTDIR)$(texconfigdir)" "$(DESTDIR)$(texmfdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(texconfigdir)" "$(DESTDIR)$(web2cdir)"; do \
+ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+ done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+ if test -z '$(STRIP)'; then \
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+ install; \
+ else \
+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+ "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
+ fi
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+ -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+ -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+
+maintainer-clean-generic:
+ @echo "This command is intended for maintainers to use"
+ @echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+ -rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am: install-dist_texconfigDATA \
+ install-dist_texconfigSCRIPTS install-dist_texmfSCRIPTS \
+ install-dist_web2cDATA install-man
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) install-data-hook
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am: install-nodist_binSCRIPTS
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man: install-man1 install-man5
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+ -rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-dist_texconfigDATA \
+ uninstall-dist_texconfigSCRIPTS uninstall-dist_texmfSCRIPTS \
+ uninstall-dist_web2cDATA uninstall-man \
+ uninstall-nodist_binSCRIPTS
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
+uninstall-man: uninstall-man1 uninstall-man5
+
+.MAKE: install-am install-data-am install-strip uninstall-am
+
+.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
+ ctags-am distclean distclean-generic distdir dvi dvi-am html \
+ html-am info info-am install install-am install-data \
+ install-data-am install-data-hook install-dist_texconfigDATA \
+ install-dist_texconfigSCRIPTS install-dist_texmfSCRIPTS \
+ install-dist_web2cDATA install-dvi install-dvi-am install-exec \
+ install-exec-am install-html install-html-am install-info \
+ install-info-am install-man install-man1 install-man5 \
+ install-nodist_binSCRIPTS install-pdf install-pdf-am \
+ install-ps install-ps-am install-strip installcheck \
+ installcheck-am installdirs maintainer-clean \
+ maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
+ pdf-am ps ps-am tags-am uninstall uninstall-am \
+ uninstall-dist_texconfigDATA uninstall-dist_texconfigSCRIPTS \
+ uninstall-dist_texmfSCRIPTS uninstall-dist_web2cDATA \
+ uninstall-hook uninstall-man uninstall-man1 uninstall-man5 \
+ uninstall-nodist_binSCRIPTS
+
+.PHONY: install-lua-links install-perl-links install-shell-links install-sh-links \
+ install-links uninstall-links
+@WIN32_TRUE@@WIN32_WRAP_TRUE@$(wrappers): $(runscript)
+@WIN32_TRUE@@WIN32_WRAP_TRUE@ $(AM_V_GEN)$(LN_S) $(runscript) $@
+
+install-lua-links:
+@WIN32_FALSE@ $(MAKE) $(AM_MAKEFLAGS) TYPE=lua EXT=lua install-links
+
+install-perl-links:
+@WIN32_FALSE@ $(MAKE) $(AM_MAKEFLAGS) TYPE=perl EXT=pl install-links
+
+install-shell-links:
+@WIN32_FALSE@ $(MAKE) $(AM_MAKEFLAGS) TYPE=shell EXT=sh install-links
+
+install-sh-links:
+@WIN32_FALSE@ $(MAKE) $(AM_MAKEFLAGS) TYPE=sh EXT=sh install-links
+
+# We support native builds, multiplatform or not, as well as distro builds.
+install-links:
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ if test -z "$$REL"; then \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ exit 1; \
+ fi; \
+ cd $(DESTDIR)$(bindir) && \
+ for f in $($(TYPE)_scripts); do \
+ rm -f $$f; \
+ if $(AM_V_P); then echo "creating link '$$f' -> '$$REL/$(scriptsdir)/$$f.$(EXT)'"; \
+ else echo " LINK $$f"; fi; \
+ $(LN_S) $$REL/$(scriptsdir)/$$f.$(EXT) $$f || exit 1; \
+ done
+
+uninstall-links:
+@WIN32_FALSE@ @for f in $(all_scripts) $(sh_scripts); do \
+@WIN32_FALSE@ echo "rm -f '$(DESTDIR)$(bindir)/$$f'"; \
+@WIN32_FALSE@ rm -f "$(DESTDIR)$(bindir)/$$f"; \
+@WIN32_FALSE@ done
+
+install-data-hook: install-bin-links install-man1-links install-perl-links install-shell-links install-sh-links
+uninstall-hook: uninstall-bin-links uninstall-man1-links uninstall-links
+.PHONY: install-bin-links uninstall-bin-links
+
+install-bin-links:
+@WIN32_FALSE@ @cd $(DESTDIR)$(bindir) && \
+@WIN32_FALSE@ for s in $(bin_links); do \
+@WIN32_FALSE@ link=`echo $$s | sed 's,.*:,,'`; \
+@WIN32_FALSE@ file=`echo $$s | sed 's,:.*,,'`; \
+@WIN32_FALSE@ rm -f $$link; \
+@WIN32_FALSE@ echo "creating link '$$link' -> '$$file'"; \
+@WIN32_FALSE@ $(LN_S) $$file $$link || exit 1; \
+@WIN32_FALSE@ done
+
+uninstall-bin-links:
+@WIN32_FALSE@ @for s in $(bin_links); do \
+@WIN32_FALSE@ link=`echo $$s | sed 's,.*:,,'`; \
+@WIN32_FALSE@ rm -f $(DESTDIR)$(bindir)/$$link; \
+@WIN32_FALSE@ done
+.PHONY: install-man1-links uninstall-man1-links
+
+install-man1-links:
+ @cd $(DESTDIR)$(man1dir) && \
+ for s in $(man1_links); do \
+ link=`echo $$s | sed 's,.*:,,'`; \
+ file=`echo $$s | sed 's,:.*,,'`; \
+ rm -f $$link.1; \
+ echo "creating link '$$link.1' -> '$$file.1'"; \
+ echo ".so man1/$$file.1" >$$link.1; \
+ done
+
+uninstall-man1-links:
+ @for s in $(man1_links); do \
+ link=`echo $$s | sed 's,.*:,,'`; \
+ rm -f $(DESTDIR)$(man1dir)/$$link.1; \
+ done
+
+.PHONY: xupdmap.1
+xupdmap.1: updmap.help2man updmap.pl
+ help2man --include=$< --source="TeX Live" --no-info \
+ $(srcdir)/updmap.pl >/tmp/$@
+
+.PHONY: run-texlinks
+run-texlinks:
+@WIN32_FALSE@ PATH="$(DESTDIR)$(bindir):$(PATH)"; export PATH; $(run_texlinks)
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/Build/source/utils/ps2eps/Makefile.in b/Build/source/utils/ps2eps/Makefile.in
index 4f6afd753e0..24ad4a51aa9 100644
--- a/Build/source/utils/ps2eps/Makefile.in
+++ b/Build/source/utils/ps2eps/Makefile.in
@@ -453,7 +453,8 @@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
ACLOCAL_AMFLAGS = -I ../../m4
EXTRA_DIST = $(PS2EPS_TREE) $(PS2EPS_TREE)-PATCHES \
- ../../build-aux/relpath $(TESTS) tests/plot.pbm tests/plot.out
+ $(top_builddir)/../../build-aux/relpath $(TESTS) \
+ tests/plot.pbm tests/plot.out
AM_CFLAGS = $(WARNING_CFLAGS)
bbox_SOURCES = \
$(PS2EPS_TREE)/src/C/bbox.c
@@ -1245,9 +1246,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \
diff --git a/Build/source/utils/psutils/Makefile.in b/Build/source/utils/psutils/Makefile.in
index 9978a9351f3..bca8d359d20 100644
--- a/Build/source/utils/psutils/Makefile.in
+++ b/Build/source/utils/psutils/Makefile.in
@@ -479,7 +479,7 @@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
ACLOCAL_AMFLAGS = -I ../../m4
EXTRA_DIST = $(PSUTILS_TREE) $(PSUTILS_TREE)-PATCHES \
- ../../build-aux/relpath $(TESTS) tests/play.ps \
+ $(top_builddir)/../../build-aux/relpath $(TESTS) tests/play.ps \
tests/playbook.2 tests/playnup.2 tests/playps.2 \
tests/playres.ps tests/playsel.2 tests/plot.eps \
tests/ploth.eps tests/plotm.eps tests/plotv.eps
@@ -1523,9 +1523,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \
diff --git a/Build/source/utils/texdoctk/Makefile.in b/Build/source/utils/texdoctk/Makefile.in
index 0f8eed50fd7..d70a67ca316 100644
--- a/Build/source/utils/texdoctk/Makefile.in
+++ b/Build/source/utils/texdoctk/Makefile.in
@@ -230,7 +230,7 @@ top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
ACLOCAL_AMFLAGS = -I ../../m4
-EXTRA_DIST = ../../build-aux/relpath
+EXTRA_DIST = $(top_builddir)/../../build-aux/relpath
perl_scripts = texdoctk
scriptsdir = texmf/scripts/texdoctk
nodist_bin_SCRIPTS = $(am__append_1)
@@ -705,9 +705,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \
diff --git a/Build/source/utils/xindy/Makefile.in b/Build/source/utils/xindy/Makefile.in
index 388f5146255..5b155f8a7dd 100644
--- a/Build/source/utils/xindy/Makefile.in
+++ b/Build/source/utils/xindy/Makefile.in
@@ -318,7 +318,7 @@ EXTRA_DIST = README-clisp $(XINDY_TREE)-PATCHES $(XINDY_TREE)/AUTHORS \
$(XINDY_TREE)/make-rules/alphabets/Makefile.am.not-yet \
$(XINDY_TREE)/make-rules/alphabets/lang.defs \
$(XINDY_TREE)/make-rules/alphabets/mk-lang.sh \
- ../../build-aux/relpath
+ $(top_builddir)/../../build-aux/relpath
SUBDIRS = . $(XINDY_TREE)
DIST_SUBDIRS = $(SUBDIRS)
DISTCLEANFILES = config.force
@@ -894,9 +894,14 @@ install-sh-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
+ @relpath="$(top_srcdir)/../../build-aux/relpath"; \
+ test -r $$relpath || { \
+ echo 'script_links.am:install-links: could not find relpath script'; \
+ exit 1; \
+ }; \
+ REL=`$(SHELL) $$relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
- echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
+ echo 'script_links.am:install_links: unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
fi; \
cd $(DESTDIR)$(bindir) && \